{ pkgs, config, ... }: {
  # TODO Maybe should be per-directory dotenv
  # Or not, for neovim

  # Always on
  home.packages = with pkgs; [
    # Common
    perf-tools
    jq
    yq
    universal-ctags
    highlight

    # Network
    socat
    dig
    whois
    nmap
    tcpdump

    # nix
    nix

    # Always on (graphical)
  ] ++ lib.optionals config.frogeye.desktop.xorg [
    # Common
    zeal-qt6 # Offline documentation

    # Network
    wireshark-qt

    # Ansible
  ] ++ lib.optionals config.frogeye.dev.ansible [
    ansible
    ansible-lint

    # C/C++
  ] ++ lib.optionals config.frogeye.dev.c [
    cmake
    clang
    ccache
    gdb

    # Docker
  ] ++ lib.optionals config.frogeye.dev.docker [
    docker
    docker-compose

    # FPGA
  ] ++ lib.optionals config.frogeye.dev.fpga [
    verilog
    # ghdl # TODO Not on aarch64

    # FPGA (graphical)
  ] ++ lib.optionals (config.frogeye.desktop.xorg && config.frogeye.dev.fpga) [
    yosys
    gtkwave

    # Python
  ] ++ lib.optionals config.frogeye.dev.python [
    python3Packages.ipython

  ];

}
